Loading...
Searching...
No Matches
irr::io::IArchiveLoader Class Referenceabstract

Class which is able to create an archive from a file. More...

`#include <IFileArchive.h>`

Inheritance diagram for irr::io::IArchiveLoader:

## Public Member Functions

virtual IFileArchive * | createArchive (const path &filename, bool ignoreCase, bool ignorePaths) const =0
| Creates an archive from the filename.
virtual IFileArchive * | createArchive (io::IReadFile *file, bool ignoreCase, bool ignorePaths) const =0
| Creates an archive from the file.
virtual bool | isALoadableFileFormat (const path &filename) const =0
| Check if the file might be loaded by this class.
virtual bool | isALoadableFileFormat (E_FILE_ARCHIVE_TYPE fileType) const =0
| Check to see if the loader can create archives of this type.
virtual bool | isALoadableFileFormat (io::IReadFile *file) const =0
| Check if the file might be loaded by this class.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Class which is able to create an archive from a file.

If you want the Irrlicht Engine be able to load archives of currently unsupported file formats (e.g .wad), then implement this and add your new Archive loader with IFileSystem::addArchiveLoader() to the engine.

Definition at line 91 of file IFileArchive.h.

## Member Function Documentation

## createArchive() [1/2]

virtual IFileArchive * irr::io::IArchiveLoader::createArchive | ( | const path & | filename,
|  | bool | ignoreCase,
|  | bool | ignorePaths ) const

pure virtual

Creates an archive from the filename.

Parameters

  filename | File to use.
  ignoreCase | Searching is performed without regarding the case
  ignorePaths | Files are searched for without checking for the directories

Returns
  Pointer to newly created archive, or 0 upon error.

## createArchive() [2/2]

virtual IFileArchive * irr::io::IArchiveLoader::createArchive | ( | io::IReadFile * | file,
|  | bool | ignoreCase,
|  | bool | ignorePaths ) const

pure virtual

Creates an archive from the file.

Parameters

  file | File handle to use.
  ignoreCase | Searching is performed without regarding the case
  ignorePaths | Files are searched for without checking for the directories

Returns
  Pointer to newly created archive, or 0 upon error.

## isALoadableFileFormat() [1/3]

virtual bool irr::io::IArchiveLoader::isALoadableFileFormat | ( | const path & | filename | ) | const

pure virtual

Check if the file might be loaded by this class.

Check based on the file extension (e.g. ".zip")

Parameters

  filename | Name of file to check.

Returns
  True if file seems to be loadable.

## isALoadableFileFormat() [2/3]

virtual bool irr::io::IArchiveLoader::isALoadableFileFormat | ( | E_FILE_ARCHIVE_TYPE | fileType | ) | const

pure virtual

Check to see if the loader can create archives of this type.

Check based on the archive type.

Parameters

  fileType | The archive type to check.

Returns
  True if the archile loader supports this type, false if not

## isALoadableFileFormat() [3/3]

virtual bool irr::io::IArchiveLoader::isALoadableFileFormat | ( | io::IReadFile * | file | ) | const

pure virtual

Check if the file might be loaded by this class.

This check may look into the file.

Parameters

  file | File handle to check.

Returns
  True if file seems to be loadable.

The documentation for this class was generated from the following file:

- IFileArchive.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0